Subject: Re: DSA vs. SWTICHDEV ?

From: Andrew Lunn <[email-masked]>
Date: Thu, 1 Dec 2016 18:31:00 +0100

Hi Murali 

> 2. Switch mode where it implements a simple Ethernet switch. Currently
>    it doesn't have address learning capability, but in future it
>    can.

If it does not have address learning capabilities, does it act like a
plain old hub? What comes in one port goes out all others?

Or can you do the learning in software on the host and program tables,
which the hardware then uses?

> 3. Switch with HSR/PRP offload where it provides HSR/PRP protocol
>    support and cut through switch.
> 
> So a device need to function in one of the modes. A a regular Ethernet
> driver that provides two network devices, one per port, and switchdev
> for each physical port (in switch mode) will look ideal in this case.

Yes, this seems the right model to use.

     Andrew